# OpalPluginTranscoder Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginTranscoder:

[legend]
Collaboration diagram for OpalPluginTranscoder:
[legend]

## Public Member Functions

| OpalPluginTranscoder (const PluginCodec_Definition *defn, bool isEnc)
| ~OpalPluginTranscoder ()
bool | UpdateOptions (OpalMediaFormat &fmt)
bool | ExecuteCommand (const OpalMediaCommand &command)
bool | Transcode (const void *from, unsigned *fromLen, void *to, unsigned *toLen, unsigned *flags) const

## Protected Attributes

const PluginCodec_Definition * | codecDef
bool | isEncoder
void * | context
OpalPluginControl | setCodecOptionsControl
OpalPluginControl | getActiveOptionsControl
OpalPluginControl | freeOptionsControl
OpalPluginControl | getOutputDataSizeControl
OpalPluginControl | getCodecStatistics

## Constructor & Destructor Documentation

OpalPluginTranscoder::OpalPluginTranscoder | ( | const PluginCodec_Definition * | defn,
|  | bool | isEnc |
| ) |  |  |

OpalPluginTranscoder::~OpalPluginTranscoder | ( |  | ) |

## Member Function Documentation

bool OpalPluginTranscoder::ExecuteCommand | ( | const OpalMediaCommand & | command | ) |

Reimplemented in OpalPluginFramedAudioTranscoder, OpalPluginStreamedAudioTranscoder, and OpalPluginVideoTranscoder.

bool OpalPluginTranscoder::Transcode | ( | const void * | from,
|  | unsigned * | fromLen,
|  | void * | to,
|  | unsigned * | toLen,
|  | unsigned * | flags |
| ) |  |  | const`[inline]`

bool OpalPluginTranscoder::UpdateOptions | ( | OpalMediaFormat & | fmt | ) |

## Field Documentation

const PluginCodec_Definition* OpalPluginTranscoder::codecDef `[protected]`

void* OpalPluginTranscoder::context `[protected]`

OpalPluginControl OpalPluginTranscoder::freeOptionsControl `[protected]`

OpalPluginControl OpalPluginTranscoder::getActiveOptionsControl `[protected]`

OpalPluginControl OpalPluginTranscoder::getCodecStatistics `[protected]`

OpalPluginControl OpalPluginTranscoder::getOutputDataSizeControl `[protected]`

bool OpalPluginTranscoder::isEncoder `[protected]`

OpalPluginControl OpalPluginTranscoder::setCodecOptionsControl `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h